DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# FeatureGmu

Measure the object's inertia

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureGmuID ( void )

## OUTPUT DATA TYPE

`dip_FloatArray`

## FUNCTION

`dip_FeatureGmuID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function calculates the inertia (weighted by its grey values) of an object by calculating the object's second order moments tensor. This measure only supports 2D and 3D objects. The output tensor is ordered as follows:

2D: xx, xy, yy

3D: xx, xy, xz, yy, yz, zz

## NOTE

If any physical dimensions are passed to this function through `Measure`, only the sample distance along the first dimension is used. All other dimensions are assumed to be sampled the same way. This produces incorrect results for anisotropically sampled images.

## LITERATURE

"Mechanics", Florian Scheck, Springer, 1999.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`